| Home | Libraries | People | FAQ | More

##### pooled_connection::~pooled_connection

Destructor.

###### Synopsis

    ~pooled_connection();

###### Description

If `this->valid() == true`, returns the owned connection to the pool and marks it as pending reset. If your connection doesn't need to be reset (e.g. because you didn't mutate session state), use `return_without_reset`.

###### Thread-safety

May cause a mutation on the connection pool that `this` points to. Thread-safe for a shared pool only if it was constructed with `pool_params::thread_safe` set to true.